VkCopyDescriptorSet Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorSet | srcSet
uint32_t | srcBinding
uint32_t | srcArrayElement
VkDescriptorSet | dstSet
uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount

## Detailed Description

Definition at line 2229 of file vulkan.h.

## Field Documentation

## descriptorCount

uint32_t VkCopyDescriptorSet::descriptorCount

Definition at line 2238 of file vulkan.h.

## dstArrayElement

uint32_t VkCopyDescriptorSet::dstArrayElement

Definition at line 2237 of file vulkan.h.

## dstBinding

uint32_t VkCopyDescriptorSet::dstBinding

Definition at line 2236 of file vulkan.h.

## dstSet

VkDescriptorSet VkCopyDescriptorSet::dstSet

Definition at line 2235 of file vulkan.h.

## pNext

const void* VkCopyDescriptorSet::pNext

Definition at line 2231 of file vulkan.h.

## srcArrayElement

uint32_t VkCopyDescriptorSet::srcArrayElement

Definition at line 2234 of file vulkan.h.

## srcBinding

uint32_t VkCopyDescriptorSet::srcBinding

Definition at line 2233 of file vulkan.h.

## srcSet

VkDescriptorSet VkCopyDescriptorSet::srcSet

Definition at line 2232 of file vulkan.h.

## sType

VkStructureType VkCopyDescriptorSet::sType

Definition at line 2230 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h